This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 441008 - Package does not conform to Emacs add-on package guidelines
Package does not conform to Emacs add-on package guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 20:18 EDT by Jonathan Underwood
Modified: 2008-11-30 05:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-30 05:40:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for spec file to conform to Emacs guidelines (5.52 KB, patch)
2008-04-04 20:19 EDT, Jonathan Underwood
no flags Details | Diff

  None (edit)
Description Jonathan Underwood 2008-04-04 20:18:40 EDT
Description of problem:
The mercurial package has add-on subpackages for Emacs and Xemacs, but doesn't
conform to the Emacs add-on packaging guidelines:

http://fedoraproject.org/wiki/Packaging/Emacs

Version-Release number of selected component (if applicable):
mercurial-1.0-4.fc9
Comment 1 Jonathan Underwood 2008-04-04 20:19:35 EDT
Created attachment 301354 [details]
Patch for spec file to conform to Emacs guidelines

Patch for spec file to conform to Emacs guidelines.
Comment 2 Jonathan Underwood 2008-04-09 17:11:11 EDT
Re-opening the bug:

You removed the -p option when installing the *.el and *.elc files. The result
is they will both have the same time stamp. If you then install both the
emacs-mercurial and emacs-mercurial-el packages, emacs may load the uncompiled
.el files rather than the elc files (which is slower) believing the uncompiled
files to be newer than the compiled files. The -p is important, I didn't just
add it for decoration :).

As an aside, you should always use the -p option when installing files from the
tarball.
Comment 3 Fedora Update System 2008-04-10 10:54:34 EDT
mercurial-1.0-11.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-04-10 10:55:12 EDT
mercurial-1.0-11.fc7 has been submitted as an update for Fedora 7
Comment 5 Bug Zapper 2008-05-14 04:55:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mads Kiilerich 2008-11-29 20:22:51 EST
Jonathan, can you confirm that this issue was solved with

* Thu Apr 10 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-11
- Use install -p to install .el{c} files
Comment 7 Jonathan Underwood 2008-11-30 05:40:40 EST
yup, all fixed:

# ls -l mercurial.el*
-rw-r--r-- 1 root root 44336 2008-08-13 23:11 mercurial.el
-rw-r--r-- 1 root root 45977 2008-08-25 13:01 mercurial.elc

Thanks Neal.

I'll close this.

Note You need to log in before you can comment on or make changes to this bug.